import axios from 'axios'

const baseUrl = "http://192.168.3.44:8981"

axios.interceptors.request.use(config => {
    // 在发送请求之前做些什么
    const token = sessionStorage.getItem('u_token');
    if (token) {
        config.headers.Token = token;
    }
    return config;
}, error => {
    // 对请求错误做些什么
    return Promise.reject(error);
});

axios.interceptors.response.use(response => {
    // 对响应数据做点什么
    if (response.data.code === 200) {
        return response;
    } else {
        return Promise.reject(response);
    }
}, error => {
    // 对响应错误做点什么
    return Promise.reject(error);
});

const request = (url, method, data) => {
    const config = {
        headers: {
            'Content-Type': 'application/json', // 可根据实际情况修改
        },
        method,
        url: baseUrl + url,
    };

    if (method === 'GET') {
        config.params = data;
    } else if (method === 'POST') {
        config.data = data;
    }

    return axios(config);
};

export default request;
